# Example:
___
Question:
https://forum.jmix.io/t/httpservlet-post-put-with-no-session/4635/3

### What i want to do:

## English:
___
### First Example:
English:
For example, I need a POST / GET route for IPN (Instant Payment Notification), which is accessible without a session.

If, for example, PayPal sends a request to this URL, the header + body is forwarded to a module (eq. PayPal module).

The PayPal module now processes the request from PayPal and writes a response in the HTTP response.

```mermaid
graph TD
    JMIX-->Create(Create Invoice)
    Create--> PayPal
    PayPal --> Paid(Return when Paid *IPN*)
    Paid --> JMIX
```

### Second Example:
I also have other uses for my route, I implement an HTML builder which fetches the pages via AJAX (POST, GET) and saves them that way.

I need this builder for the CMS system and it would be nice if I could implement it like this, because CMS pages should also be accessible without a session.

```mermaid
graph TD
    JMIX-->Admin(HTML Builder Frontend)
    Admin --> Save(Save *POST*)
    ListPages(List Pages *GET*) --> Admin
    JMIX --> ListPages
    Save --> JMIX
    JMIX --> OpenPage(View Page *GET*)
```

## German:
___
### Erstes Beispiel:

Ich benötige bspw. für IPN (Instant Payment Notification) eine POST / GET Route, welche ohne Session zugänglich ist.

Sendet bspw. PayPal eine Anfrage an diese URL so wird der Header+Body an ein Modul weitergeleitet (eq. PayPal Modul).

Das PayPal Modul verarbeitet nun die Anfrage von PayPal und schreibt eine Antwort in den HTTP Response.

```mermaid
graph TD
    JMIX-->Create(Create Invoice)
    Create--> PayPal
    PayPal --> Paid(Return when Paid *IPN*)
    Paid --> JMIX
```


### Zweites Beispiel:
Ich habe auch noch andere Verwendungen zu meiner Route, ich implementiere ein HTML Builder, welcher sich die Seiten über AJAX holt (POST, GET) und diese so auch speichert.

Diesen Builder brauche ich für das CMS System und es währe schön wenn ich diesen so umsetzen könnte, denn CMS Seiten sollen auch ohne Session aufrufbar sein.

```mermaid
graph TD
    JMIX-->Admin(HTML Builder Frontend)
    Admin --> Save(Save *POST*)
    ListPages(List Pages *GET*) --> Admin
    JMIX --> ListPages
    Save --> JMIX
    JMIX --> OpenPage(View Page *GET*)
```